commit:     b6d6756c698175c19fd9f98fca0f9eb12adb4ed8
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue May  4 21:12:41 2021 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue May  4 21:13:11 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b6d6756c

gui-apps/mako: 1.5 bump

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 gui-apps/mako/Manifest        |  1 +
 gui-apps/mako/mako-1.5.ebuild | 52 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/gui-apps/mako/Manifest b/gui-apps/mako/Manifest
index 63735b84117..0873ba74cd8 100644
--- a/gui-apps/mako/Manifest
+++ b/gui-apps/mako/Manifest
@@ -1 +1,2 @@
 DIST mako-1.4.1.tar.gz 49442 BLAKE2B 
aa242d905d33dcfd2e30317a65d3826ba43ad344e93d1f41ed8b28f75310f724ed0eb5ae163f97a441ae07a4bb3465aa01f974cd95f97ba981a907fb761ad3d4
 SHA512 
25b0f59645c1815d8bdba42cedd6f56163ff663cd801a534c4c725c99e9a8cc28aef1d2c899d30cca06f0c6ddfa4a8e6efa01e5e98091347bcfc80d596f16d43
+DIST mako-1.5.tar.gz 57077 BLAKE2B 
0ad931ce6408774f029855d0d98bd9444ff246f2ee82dcaa59774caddc9aaa7d632a7584eaaa4439eafd17b72935eada8400fe93e1ec7f9c23b3860049b55269
 SHA512 
64bb78d391bf07259a62a4045103803c8e108ac2da2fe8a413b09a0e8c2ac9c82eea1ae9576db41f7088476099fc2071543c99d3a52a35f72f5dbb537bba8c47

diff --git a/gui-apps/mako/mako-1.5.ebuild b/gui-apps/mako/mako-1.5.ebuild
new file mode 100644
index 00000000000..ce59067b037
--- /dev/null
+++ b/gui-apps/mako/mako-1.5.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+DESCRIPTION="A lightweight notification daemon for Wayland. Works on Sway."
+HOMEPAGE="https://github.com/emersion/mako";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/emersion/${PN}.git";
+else
+       SRC_URI="https://github.com/emersion/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+icons"
+
+DEPEND="
+       dev-libs/wayland
+       x11-libs/pango
+       x11-libs/cairo
+       || (
+               sys-apps/systemd
+               sys-auth/elogind
+       )
+       sys-apps/dbus[user-session]
+       icons? (
+               x11-libs/gtk+:3
+               x11-libs/gdk-pixbuf
+       )
+"
+RDEPEND="
+       ${DEPEND}
+       dev-libs/wayland-protocols
+"
+BDEPEND="
+       virtual/pkgconfig
+       app-text/scdoc
+"
+
+src_configure() {
+       local emesonargs=(
+               -Dicons=$(usex icons enabled disabled)
+               "-Dwerror=false"
+       )
+       meson_src_configure
+}

Reply via email to